/*
 * Copyright 1993, 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
#ifndef FLY_H
#define FLY_H

#include <aux.h>	/* includes GL/gl.h and GL/glu.h */
#include <math.h>
#include <stdio.h>

#define GRIDPOINTS 41

#define WIRE 0
#define LIT_FLAT 1
#define LIT_SMOOTH 2
#define FORWARD 1
#define BACKWARD -1
#define X 0
#define Y 1
#define Z 2

/*  Function Prototypes  */

/* functions in fly.c */
GLvoid  printHelp( GLvoid );
GLvoid  initialize(GLvoid);
GLvoid  initLighting( GLvoid );
GLvoid  drawScene( GLvoid );
GLvoid  drawShapes( GLvoid );
GLvoid  drawMovedShape( GLfloat, GLfloat, GLfloat, GLint );
GLvoid  drawShape( GLint, GLint );
GLvoid  drawTetra( GLint );
GLvoid  drawCube( GLint );
GLvoid  drawOcta( GLint );
GLvoid  drawDodeca( GLint );
GLvoid  drawIcosa( GLint );
GLvoid  drawCylinder( GLint );
GLvoid  drawSphere( GLint );
GLvoid  drawTorus( GLint );
GLvoid  drawCone( GLint );


/* functions in flyutil.c */
GLvoid  resize( GLsizei, GLsizei );
GLvoid  computeGrid( GLvoid );
GLvoid  drawGrid( GLvoid );
GLvoid  drawGridWire( GLvoid );
GLvoid  drawGridFilled( GLvoid );
GLvoid  setDrawStyle( GLvoid );
GLvoid  startMove( AUX_EVENTREC * );
GLvoid  stopMove( AUX_EVENTREC * );
GLvoid  startMoveBack( AUX_EVENTREC *event );
GLvoid  stopMoveBack( AUX_EVENTREC * );
GLvoid  drawNormals( GLvoid );
GLvoid  toggleDrawNormals( GLvoid );
GLvoid  computeNormals( GLvoid );
GLvoid  setAutopilot( GLvoid );
GLvoid  setDebug( GLvoid );
GLvoid  updatePosition( AUX_EVENTREC * );
GLvoid  moveEye( GLvoid );
GLvoid  initializeEye(GLvoid);

#endif
